import { Injectable } from '@nestjs/common';
import { EventBus } from '@nestjs/cqrs';
import { Timeout } from '@nestjs/schedule';
import { TestEvent } from './test.event';

@Injectable()
export class AppService {
  public constructor(private readonly eventBus: EventBus) {}

  @Timeout(1000)
  handleTest1() {
    console.log('handleTest1');
    this.eventBus.publish(new TestEvent(true));
  }

  @Timeout(5000)
  handleTest2() {
    console.log('handleTest2');
    this.eventBus.publish(new TestEvent(false));
  }
}
