import { CommandHandler, ICommandHandler } from '@nestjs/cqrs';
import { TestCommand } from './test.command';

@CommandHandler(TestCommand)
export class TestHandler implements ICommandHandler<TestCommand> {
  public async execute(command: TestCommand): Promise<void> {
    const { error } = command;

    if (error) {
      throw new Error();
    } else {
      console.log(error);
    }
  }
}
