import { Injectable } from '@nestjs/common';
import { IEvent, ofType, Saga } from '@nestjs/cqrs';
import { map, Observable } from 'rxjs';
import { TestCommand } from './test.command';
import { TestEvent } from './test.event';

@Injectable()
export class TestSaga {
  @Saga()
  public Test = (event: Observable<IEvent>): Observable<TestCommand> => {
    return event.pipe(
      ofType(TestEvent),
      map(({ error }) => new TestCommand(error)),
    );
  };
}
